snd_pcm_lib_preallocate_free_for_all
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_lib_preallocate_free_for_all — release all pre-allocated buffers on the pcm

## Synopsis

`int snd_pcm_lib_preallocate_free_for_all (` | struct snd_pcm * | pcm`)`;

## Arguments

`pcm`

  the pcm instance

## Description

Releases all the pre-allocated buffers on the given pcm.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
copy_from_user_toio | Home | snd_pcm_lib_preallocate_pages